import request from '@/utils/request'
import requestDownload from '@/utils/request-download'

export function cRCVisitList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/cRCVisitList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getQCChallengeList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getQCChallengeList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSubjectList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSubjectList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSubjectReadingPeriod_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSubjectReadingPeriod_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getReadingPeriodList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getReadingPeriodList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getDicomAndNoneDicomStudyList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getDicomAndNoneDicomStudyList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getConsistencyVerificationList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getConsistencyVerificationList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getReadingTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getReadingTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getReReadingTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getReReadingTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getMedicalReviewTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getMedicalReviewTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSelfAnalysisTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSelfAnalysisTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getGroupAnalysisTaskList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getGroupAnalysisTaskList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getTrialReadingCriterionCanExportDocumentList(param) {
  return request({
    url: `/ExcelExport/getTrialReadingCriterionCanExportDocumentList?TrialReadingCriterionId=${param.TrialReadingCriterionId}`,
    method: 'get'
  })
}

export function getOverallTumorEvaluationList_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getOverallTumorEvaluationList_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getEvaluationOfTumorEfficacy_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getEvaluationOfTumorEfficacy_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getDetailedOfEvaluatedLesion_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getDetailedOfEvaluatedLesion_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getStudyUploadMonitor_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getStudyUploadMonitor_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}

export function getSubjectProgress_Export(param) {
  return requestDownload({
    url: '/ExcelExport/getSubjectProgress_Export',
    method: 'post',
    responseType: 'blob',
    data: param
  })
}
